import { server } from "@/utils/server";
// 获取客户服务链接
// POST /v1/api/front/links/services
// 接口ID：222356319
// 接口地址：https://app.apifox.com/link/project/4790544/apis/api-222356319
export interface ServiceTypes {
    /**
     * 图标地址
     */
    icon_url: string;
    /**
     * 名称
     */
    name: string;
    /**
     * 跳转地址
     */
    url: string;
    is_suspend: number;
}
export const getServicesApi = async () => {
    return server
        .request<ServiceTypes[]>({
            url: "/v1/api/front/links/services",
            method: "POST",
        })
        .then((res) => {
            return res.data;
        })
        .catch((err) => {
            return [];
        });
};
// 获取社交媒体链接
// POST /v1/api/front/links/socials
// 接口ID：222356373
// 接口地址：https://app.apifox.com/link/project/4790544/apis/api-222356373

export const getSocialsApi = async () => {
    return server
        .request<ServiceTypes[]>({
            url: "/v1/api/front/links/socials",
            method: "POST",
        })
        .then((res) => {
            return res.data;
        })
        .catch((err) => {
            return [];
        });
};
